Bug 283961 - "Updating for dependencies" is confusing
"Updating for dependencies" is confusing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 07:16 EDT by Mary Ellen Foster
Modified: 2014-01-21 17:59 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.2.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2007-09-09 07:16:21 EDT
Description of problem:
I just did an update on my Fedora 7 machine against updates-testing. Here's an
excerpt from the output. Note the position of ice-* in the respective lists.

Resolving Dependencies
--> Running transaction check
---> Package ice-python.i386 0:3.2.1-11.fc7 set to be updated
---> Package system-config-network-tui.noarch 0:1.3.96.2-1.fc7 set to be updated
---> Package bind-libs.i386 31:9.4.2-0.3.b1.fc7 set to be updated
---> Package bind-utils.i386 31:9.4.2-0.3.b1.fc7 set to be updated
---> Package ice-java.i386 0:3.2.1-11.fc7 set to be updated
---> Package autofs.i386 1:5.0.1-28 set to be updated
---> Package docbook-style-xsl.noarch 0:1.73.2-1.fc7 set to be updated
---> Package krb5-devel.i386 0:1.6.1-4.fc7 set to be updated
---> Package gd-devel.i386 0:2.0.35-1.fc7 set to be updated
---> Package usermode-gtk.i386 0:1.93-1.fc7 set to be updated
---> Package ice-csharp.i386 0:3.2.1-11.fc7 set to be updated
---> Package krb5-workstation.i386 0:1.6.1-4.fc7 set to be updated
---> Package ice-java-devel.i386 0:3.2.1-11.fc7 set to be updated
---> Package ice-python-devel.i386 0:3.2.1-11.fc7 set to be updated
---> Package ice-ruby.i386 0:3.2.1-11.fc7 set to be updated
---> Package system-config-network.noarch 0:1.3.96.2-1.fc7 set to be updated
---> Package ice-csharp-devel.i386 0:3.2.1-11.fc7 set to be updated
---> Package usermode.i386 0:1.93-1.fc7 set to be updated
---> Package rpmlint.noarch 0:0.81-1.fc7 set to be updated
---> Package ice-ruby-devel.i386 0:3.2.1-11.fc7 set to be updated
---> Package rhythmbox.i386 0:0.10.1-1.fc7 set to be updated
---> Package ice.i386 0:3.2.1-11.fc7 set to be updated
---> Package gd.i386 0:2.0.35-1.fc7 set to be updated
---> Package rsync.i386 0:2.6.9-3.fc7 set to be updated
---> Package selinux-policy-targeted.noarch 0:2.6.4-41.fc7 set to be updated
---> Package krb5-libs.i386 0:1.6.1-4.fc7 set to be updated
---> Package selinux-policy.noarch 0:2.6.4-41.fc7 set to be updated
[ ... ]
=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 autofs                  i386       1:5.0.1-28       updates-testing   829 k
 bind-utils              i386       31:9.4.2-0.3.b1.fc7  updates           174 k
 docbook-style-xsl       noarch     1.73.2-1.fc7     updates-testing   2.9 M
 gd-devel                i386       2.0.35-1.fc7     updates *          23 k
 ice-csharp-devel        i386       3.2.1-11.fc7     updates-testing   165 k
 ice-java-devel          i386       3.2.1-11.fc7     updates-testing   238 k
 ice-python-devel        i386       3.2.1-11.fc7     updates-testing    29 k
 ice-ruby-devel          i386       3.2.1-11.fc7     updates-testing    20 k
 krb5-devel              i386       1.6.1-4.fc7      updates *          51 k
 krb5-workstation        i386       1.6.1-4.fc7      updates *         157 k
 rhythmbox               i386       0.10.1-1.fc7     updates-testing   4.1 M
 rpmlint                 noarch     0.81-1.fc7       updates *          39 k
 rsync                   i386       2.6.9-3.fc7      updates-testing   232 k
 selinux-policy-targeted  noarch     2.6.4-41.fc7     updates-testing   996 k
 system-config-network   noarch     1.3.96.2-1.fc7   updates           411 k
 usermode-gtk            i386       1.93-1.fc7       updates-testing   104 k
Updating for dependencies:
 bind-libs               i386       31:9.4.2-0.3.b1.fc7  updates           909 k
 gd                      i386       2.0.35-1.fc7     updates *          29 k
 ice                     i386       3.2.1-11.fc7     updates-testing   6.3 M
 ice-csharp              i386       3.2.1-11.fc7     updates-testing   615 k
 ice-java                i386       3.2.1-11.fc7     updates-testing   1.1 M
 ice-python              i386       3.2.1-11.fc7     updates-testing   381 k
 ice-ruby                i386       3.2.1-11.fc7     updates-testing   209 k
 krb5-libs               i386       1.6.1-4.fc7      updates *          44 k
 selinux-policy          noarch     2.6.4-41.fc7     updates-testing   358 k
 system-config-network-tui  noarch     1.3.96.2-1.fc7   updates           1.8 M
 usermode                i386       1.93-1.fc7       updates-testing   187 k
[...]

Before and after this update, I had all of the ice-* packages installed on this
machine -- in fact, I think that all of these packages were installed before. So
why are half of them showing up under "updating for dependencies" rather than as
normal updates?


Version-Release number of selected component (if applicable):
yum-3.2.4-2.fc7

How reproducible:
Didn't try

Steps to Reproduce:
1. Run "yum update" on a machine where some packages to be updated are
dependencies of others
  
Actual results:
Some packages show up under "Updating for dependencies" rather than "Updating"

Expected results:
Every package that's got a new version to show up under "Updating".
Comment 1 Jeremy Katz 2007-09-09 21:09:04 EDT
Have a potential fix for this in rawhide testing atm -- once we show that there
aren't side effects from it, we'll push it back in a Fedora 7 update.
Comment 2 Jeremy Katz 2007-10-12 10:14:42 EDT
Pushed upstream and will be in yum 3.2.7 (will be an F7 update soon)
Comment 3 Fedora Update System 2007-10-15 17:24:25 EDT
yum-3.2.7-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'
Comment 4 Fedora Update System 2007-10-24 03:15:30 EDT
yum-3.2.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.